% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/01_regmedint_class_ui.R
\name{report_missing}
\alias{report_missing}
\title{Report variables with missing data}
\usage{
report_missing(data, yvar, avar, mvar, cvar, eventvar)
}
\arguments{
\item{data}{Data frame containing the relevant variables.}

\item{yvar}{A character vector of length 1. Outcome variable name. It should be the time variable for survival outcomes.}

\item{avar}{A character vector of length 1. Treatment variable name.}

\item{mvar}{A character vector of length 1. Mediator variable name.}

\item{cvar}{A character vector of length > 0. Covariate names. Use \code{NULL} if there is no covariate. However, this is a highly suspicious situation. Even if \code{avar} is randomized, \code{mvar} is not. Thus, there should usually be some confounder(s) to account for the common cause structure (confounding) between \code{mvar} and \code{yvar}.}

\item{eventvar}{An character vector of length 1. Only required for survival outcome regression models. Note that the coding is 1 for event and 0 for censoring, following the R survival package convention.}
}
\value{
No return value, called for side effects.
}
\description{
Report the number of missing observations for each variables of interest relevant for the analysis
}
